Bug 9118 - Netscape $SOCKS_NS error
Netscape $SOCKS_NS error
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: rp3 (Show other bugs)
6.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-02-04 09:32 EST by tkoster
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-07 07:17:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description tkoster 2000-02-04 09:32:39 EST
I've had a bear of a time lately with dialing in. The problem is that the
two programs you have for setting up ppp accounts apparently recognize each
other as being there but cannot work with each other. Accounts created or
edited in linuxconf show up when I run netcfg. Those created in RP3 do not.
Visa-versa accounts created in RP3 don't show up in either Linuxconf or
netcfg. When I dial in on a RP3 ppp account, Netscape cannot recognize it
and gives me a $SOCKS_NS environment error and cannot recognize any URL or
collect my email. It took me a little while but I discovered that when I
dial in the accounts listed in the netcfg file, Netscape runs just fine.

I'm not sure what the conflict is, but I thought you may want to work at
intergrating these tools a little more closely. (The reason I used both is
that RP3 is simpler to use, but linuxconf offered more versatility in
letting me specify my Init. string which my modem needed).

Looking around the internet, I discovered I'm not the only one with the
$SOCKS_NS problem. My work around is the only solution I've found.

Thanks,
Tim Koster
Comment 1 Nalin Dahyabhai 2000-02-07 07:17:59 EST
This is odd.  The netcfg and linuxconf PPP setup routines should recognize
that accounts set up using rp3 exist, but show them as mostly not set up.
Can you send in a copy of the /etc/sysconfig/network-scripts/ifcfg-ppp? file
that matches one of the non-functional accounts, as well as the contents of
the /etc/wvdial.conf file (with all sensitive information replaced with dummy
data, of course)?

Netscape Navigator will throw up a dialog box suggesting SOCKS_NS if it can't
resolve an address, which suggests that your ISP's DNS server addresses are
not being placed in /etc/resolv.conf properly.  Dialing in through netcfg or
linuxconf doesn't modify these files, but using rp3 or wvdial will usually
fetch the addresses during PPP link negotiation.  If the contents of
/etc/resolv.conf change when you dial in with rp3, please send the contents of
resolv.conf in as well.
Comment 2 Nalin Dahyabhai 2000-12-12 16:44:43 EST
Closed due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.